"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var barcode_parser_1 = require("../barcode-parser");
var enums_1 = require("../enums");
var TestClass = /** @class */ (function (_super) {
    __extends(TestClass, _super);
    function TestClass(config) {
        return _super.call(this, config) || this;
    }
    TestClass.prototype.parse = function (barcodeVal) {
        return _super.prototype.parse.call(this, barcodeVal);
    };
    TestClass.prototype.initReaders = function (readerTypes, configurations) {
        return _super.prototype.initReaders.call(this, readerTypes, configurations);
    };
    return TestClass;
}(barcode_parser_1.BarcodeParser));
describe('BarcodeParser', function () {
    var classUnderTest;
    var config;
    describe('parse', function () {
        beforeEach(function () {
            config = {
                readerConfigurations: [],
                readers: enums_1.Symbologies.All,
            };
            classUnderTest = new TestClass(config);
        });
        it('should return IBarcodeValue with errorMessage as \'No Reader Found\'', function () {
            var result = classUnderTest.parse('invalid');
            expect(result.errorMessage).toBe('No Reader Found');
        });
        it('should return IBarcodeValue with success set to false', function () {
            var result = classUnderTest.parse('invalid');
            expect(result.success).toBe(false);
        });
        it('should return IBarcodeValue with rawValue set to input', function () {
            var result = classUnderTest.parse('invalid');
            expect(result.rawValue).toBe('invalid');
        });
    });
});
//# sourceMappingURL=barcode-parser.spec.js.map