"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var application_identifier_1 = require("../../models/application-identifier");
describe('ApplicationIdentifier', function () {
    var classUnderTest;
    describe('code', function () {
        test('should set code', function () {
            classUnderTest = new application_identifier_1.ApplicationIdentifier('code', '', 0, true);
            expect(classUnderTest.code).toBe('code');
        });
    });
    describe('description', function () {
        test('should set description', function () {
            classUnderTest = new application_identifier_1.ApplicationIdentifier('', 'aaa', 0, true);
            expect(classUnderTest.description).toBe('aaa');
        });
    });
    describe('length', function () {
        test('should set length', function () {
            classUnderTest = new application_identifier_1.ApplicationIdentifier('', 'aaa', 100, true);
            expect(classUnderTest.length).toEqual(100);
        });
    });
    describe('fractional', function () {
        test('should set variableLength', function () {
            classUnderTest = new application_identifier_1.ApplicationIdentifier('', 'aaa', 0, true);
            expect(classUnderTest.variableLength).toBe(true);
        });
    });
    describe('fractional', function () {
        test('should default fractional to false', function () {
            classUnderTest = new application_identifier_1.ApplicationIdentifier('', 'aaa', 0, true);
            expect(classUnderTest.fractional).toBe(false);
        });
    });
    describe('totalLength', function () {
        test('should return code length + length for non-fractional', function () {
            classUnderTest = new application_identifier_1.ApplicationIdentifier('a', 'b', 10, true);
            expect(classUnderTest.totalLength).toEqual(11);
        });
        test('should return code length + length + 1 for fractional', function () {
            classUnderTest = new application_identifier_1.ApplicationIdentifier('a', 'b', 10, true, true);
            expect(classUnderTest.totalLength).toEqual(12);
        });
    });
    test('should set fractional', function () {
        classUnderTest = new application_identifier_1.ApplicationIdentifier('', 'aaa', 0, true, true);
        expect(classUnderTest.fractional).toBe(true);
    });
});
//# sourceMappingURL=application-identifier.spec.js.map