"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var models_1 = require("../../models");
describe('BarcodeValue', function () {
    var classUnderTest;
    var symbology = 'MYSYMBOLOGY';
    var rawVal = '123456';
    beforeEach(function () {
        classUnderTest = new models_1.BarcodeValue(symbology, rawVal);
    });
    test('should set symbology', function () {
        expect(classUnderTest.symbology).toBe(symbology);
    });
    test('should set rawValue', function () {
        expect(classUnderTest.rawValue).toBe(rawVal);
    });
    describe('pluck', function () {
        test('return values of existing keys', function () {
            classUnderTest.values = [
                {
                    code: '01',
                    value: 'abcd',
                },
            ];
            expect(classUnderTest.pluck('01')).toBe('abcd');
        });
        test('should return undefined for non-existant keys', function () {
            classUnderTest.values = [
                {
                    code: '01',
                    value: 'abcd',
                },
            ];
            expect(classUnderTest.pluck('04')).toBeUndefined();
        });
        test('should return undefined for non-array values', function () {
            classUnderTest.values = 'i am a string';
            expect(classUnderTest.pluck('04')).toBeUndefined();
        });
    });
});
//# sourceMappingURL=barcode-value.spec.js.map