"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var enums_1 = require("../../enums");
var utils_1 = require("../../utils");
describe('AimParser', function () {
    var value = '123456';
    describe('parseAimCode', function () {
        test('should strip AIM Code from gtin_8', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.GTIN8, enums_1.AimCodes.GTIN + value)).toBe(value);
        });
        test('should strip AIM Code from gtin_12', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.GTIN12, enums_1.AimCodes.GTIN + value)).toBe(value);
        });
        test('should strip AIM Code from gtin_13', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.GTIN13, enums_1.AimCodes.GTIN + value)).toBe(value);
        });
        test('should strip AIM Code from gtin_14', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.GTIN14, enums_1.AimCodes.GTIN + value)).toBe(value);
        });
        test('should strip AIM Code from itf_8', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.ITF8, enums_1.AimCodes.ITF + value)).toBe(value);
        });
        test('should strip AIM Code from itf_12', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.ITF12, enums_1.AimCodes.ITF + value)).toBe(value);
        });
        test('should strip AIM Code from itf_13', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.ITF13, enums_1.AimCodes.ITF + value)).toBe(value);
        });
        test('should strip AIM Code from itf_14', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.ITF14, enums_1.AimCodes.ITF + value)).toBe(value);
        });
        test('should strip AIM Code from GS1', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.GS1128, enums_1.AimCodes.GS1 + value)).toBe(value);
        });
        test('should strip AIM Code from CODE_39', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.Code39, enums_1.AimCodes.CODE39 + value)).toBe(value);
        });
        test('should strip AIM Code from CODE_128', function () {
            expect(utils_1.AimParser.parseAimCode(enums_1.Symbologies.Code128, enums_1.AimCodes.CODE128 + value)).toBe(value);
        });
    });
});
//# sourceMappingURL=aim-parser.spec.js.map