"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.APPLICATION_IDENTIFIERS = void 0;
var application_identifier_1 = require("./application-identifier");
var enums_1 = require("../enums");
var data = [
    {
        code: enums_1.AICode.SerialShippingContainerCode,
        description: 'Serial Shipping Container Code',
        length: 18,
        variableLength: false,
    },
    {
        code: enums_1.AICode.GTIN,
        description: 'Global Trade Item Number',
        length: 14,
        variableLength: false,
    },
    {
        code: enums_1.AICode.GTINContainer,
        description: 'GTIN of Contained Trade Items',
        length: 14,
        variableLength: false,
    },
    {
        code: enums_1.AICode.BatchLot,
        description: 'Batch/Lot Number',
        length: 20,
        variableLength: true,
    },
    {
        code: enums_1.AICode.ProductionDate,
        description: 'Production Date',
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.DueDate,
        description: 'DueDate',
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.PackagingDate,
        description: 'Packaging Date',
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.BestBeforeDate,
        description: 'Best Before Date YYMMDD',
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ExpirationDate,
        description: 'Expiration Date',
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductVariant,
        description: 'Product Variant',
        length: 2,
        variableLength: false,
    },
    {
        code: enums_1.AICode.SerialNumber,
        description: 'Serial Number',
        length: 20,
        variableLength: true,
    },
    {
        code: enums_1.AICode.SecondaryDataFields,
        description: 'Secondary Data Fields',
        length: 29,
        variableLength: true,
    },
    {
        code: enums_1.AICode.LotnumberN,
        description: 'Lot number[n]',
        length: 19,
        variableLength: true,
    },
    {
        code: enums_1.AICode.AdditionalProductIdentification,
        description: 'Additional Product Identification',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.CustomerPartNumber,
        description: 'Customer Part Number',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.MadeToOrderVariationNumber,
        description: 'Made-to-Order Variation Number',
        length: 6,
        variableLength: true,
    },
    {
        code: enums_1.AICode.SecondarySerialNumber,
        description: 'Secondary Serial Number',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.ReferencetoSourceEntity,
        description: 'Reference to SourceEntity',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.GlobalDocumentTypeIdentifier,
        description: 'Global Document Type Identifier',
        length: 17,
        variableLength: true,
    },
    {
        code: enums_1.AICode.GLNExtensionComponent,
        description: 'GLN Extension Component',
        length: 20,
        variableLength: true,
    },
    {
        code: enums_1.AICode.GlobalCouponNumberGCN,
        description: 'Global Coupon Number GCN',
        length: 25,
        variableLength: true,
    },
    {
        code: enums_1.AICode.CountOfItems,
        description: 'Count of items',
        length: 8,
        variableLength: true,
    },
    {
        code: enums_1.AICode.ProductNetWeightKg,
        description: 'Product Net Weight in kg',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductLength1stDimensionM,
        description: 'Product Length/1st Dimension, in meters',
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductWidthDiameter2ndDimensionM,
        description: 'Product Width/Diameter/2nd Dimension,in meters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductDepthThicknessHeight3rdDimensionM,
        description: 'Product Depth/Thickness/Height/3rd Dimension,in meters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductAreaSqM,
        description: 'Product Area,in square meters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductNetVolumeL,
        description: 'Product Net Volume,in liters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductNetVolumeM,
        description: 'Product Net Volume,in cubic meters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductNetWeightLbs,
        description: 'Product Net Weight,in pounds',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductLength1stDimensionIn,
        description: 'Product Length/1st Dimension,in inches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductLength1stDimensionFt,
        description: 'Product Length/1st Dimension,in feet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductLength1stDimensionYd,
        description: 'Product Length/1st Dimension,in yards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductWidthDiameter2ndDimensionIn,
        description: 'Product Width/Diameter/2nd Dimension,in inches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductWidthDiameter2ndDimensionFt,
        description: 'Product Width/Diameter/2nd Dimension,in feet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductWidthDiameter2ndDimensionYd,
        description: 'Product Width/Diameter/2nd Dimension,in yards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductDepthThicknessHeight3rdDimensionIn,
        description: 'Product Depth/Thickness/Height/3rd Dimension,in inches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductDepthThicknessHeight3rdDimensionFt,
        description: 'Product Depth/Thickness/Height/3rd Dimension,in feet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductDepthThickness3rdDimensionYd,
        description: 'Product Depth/Thickness/3rd Dimension,in yards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerGrossWeightKg,
        description: 'Container Gross Weight kg',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerLength1stDimensionM,
        description: 'Container Length/1st Dimension Meters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerWidthDiameter2ndDimensionM,
        description: 'Container Width/Diameter/2nd Dimension Meters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerDepthThickness3rdDimensionM,
        description: 'Container Depth/Thickness/3rdDimension Meters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerAreaSqM,
        description: 'Container Area Square Meters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerGrossVolumeL,
        description: 'Container Gross Volume Liters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerGrossVolumeCubicM,
        description: 'Container Gross Volume CubicMeters',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerGrossWeightLbs,
        description: 'Container Gross Weight Pounds',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerLength1stDimensionIn,
        description: 'Container Length1stDimension in inches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerLength1stDimensionFt,
        description: 'Container Length/1stDimension,infeet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerLength1stDimensionYd,
        description: 'Container Length/1stDimensionin,inyards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerWidthDiameter2ndDimensionIn,
        description: 'Container Width/Diameter/2nd Dimension,in inches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerWidthDiameter2ndDimensionFt,
        description: 'Container Width/Diameter/2nd Dimension,in feet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerWidthDiameter2ndDimensionYd,
        description: 'Container Width/Diameter/2nd Dimension,in yards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerDepthThicknessHeight3rdDimensionIn,
        description: 'Container Depth/Thickness/Height/3rd Dimension,in inches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerDepthThicknessHeight3rdDimensionFt,
        description: 'Container Depth/Thickness/Height/3rd Dimension,in feet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerDepthThicknessHeight3rdDimensionYd,
        description: 'Container Depth/Thickness/Height/3rd Dimension,in yards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductAreaSqIn,
        description: 'Product Area SquareInches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductAreaSqFt,
        description: 'Product Area SquareFeet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductAreaSqYd,
        description: 'Product Area SquareYards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerAreaSqIn,
        description: 'Container Area SquareInches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerAreaSqFt,
        description: 'Container Area SquareFeet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerAreaSqYd,
        description: 'Container Area SquareYards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.NetWeightTroyOz,
        description: 'Net Weight TroyOunces',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.NetWeightVolumeOz,
        description: 'Net Weight/Volume Ounces',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductVolumeQt,
        description: 'Product Volume Quarts',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductVolumeGal,
        description: 'Product Volume Gallons',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerGrossVolumeQt,
        description: 'Container Gross Volume Quarts',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerGrossVolumeUSGal,
        description: 'ContainerGrossVolume U.S.Gallons',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductVolumeCubicIn,
        description: 'ProductVolume CubicInches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductVolumeCubicFt,
        description: 'ProductVolume CubicFeet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ProductVolumeCubicYd,
        description: 'ProductVolume CubicYards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerGRossVolumeCubicIn,
        description: 'ContainerGrossVolume CubicInches',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerGrossVolumeCubicFt,
        description: 'ContainerGrossVolume CubicFeet',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ContainerGrossVolumeCubicYd,
        description: 'ContainerGrossVolume CubicYards',
        fractional: true,
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.NumberofUnitsContained,
        description: 'NumberofUnitsContained',
        length: 8,
        variableLength: true,
    },
    {
        code: enums_1.AICode.AmountPayableLocalCurrency,
        description: 'Amount payable local currency}',
        fractional: true,
        length: 15,
        variableLength: true,
    },
    {
        code: enums_1.AICode.AmountPayableISOCurrencyCode,
        description: 'Amount payable with ISO currency code',
        fractional: true,
        length: 18,
        variableLength: true,
    },
    {
        code: enums_1.AICode.AmountPayableSingleItemLocalCurrency,
        description: 'Amount payable per single item local currency',
        fractional: true,
        length: 15,
        variableLength: true,
    },
    {
        code: enums_1.AICode.AmountPayableSingleItemxWithISOcurrencycode,
        description: 'Amount payable per single itemx with ISO currency code',
        fractional: true,
        length: 18,
        variableLength: true,
    },
    {
        code: enums_1.AICode.CustomerPurchaseOrderNumber,
        description: 'Customer Purchase Order Number',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.ConsignmentNumber,
        description: 'Consignment Number',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.BillofLadingNumber,
        description: 'BillofLadingnumber',
        length: 17,
        variableLength: false,
    },
    {
        code: enums_1.AICode.RoutingCode,
        description: 'Routing code',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.ShipToDeliverToLocationCodeGlobalLocationNumber,
        description: 'ShipTo/DeliverToLocationCode GlobalLocationNumber',
        length: 13,
        variableLength: false,
    },
    {
        code: enums_1.AICode.BillToInvoiceLocationCodeGlobalLocationNumber,
        description: 'BillTo/InvoiceLocationCode GlobalLocationNumber',
        length: 13,
        variableLength: false,
    },
    {
        code: enums_1.AICode.PurchaseFromLocationCodeGlobalLocationNumber,
        description: 'PurchaseFromLocationCode GlobalLocationNumber',
        length: 13,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ShipForDeliverForOrForwardToLocationCode,
        description: 'Shipfor,Deliver for,or Forward to Location Code',
        length: 13,
        variableLength: false,
    },
    {
        code: enums_1.AICode.IdentificationOfAPhysicAllocation,
        description: 'Identification of a physical location',
        length: 13,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ShipToDeliverToPostalCodeSinglePostalAuthority,
        description: 'ShipTo /DeliverTo PostalCode Single Postal Authority',
        length: 20,
        variableLength: true,
    },
    {
        code: enums_1.AICode.ShipToDeliverToPostalCodeISOCountryCode,
        description: 'ShipTo / DeliverTo PostalCode ISO CountryCode',
        length: 15,
        variableLength: true,
    },
    {
        code: enums_1.AICode.CountryofOrigin,
        description: 'Country of Origin',
        length: 3,
        variableLength: false,
    },
    {
        code: enums_1.AICode.CountryOrCountriesOfInitialProcessing,
        description: 'Country or countries of initial processing',
        length: 15,
        variableLength: true,
    },
    {
        code: enums_1.AICode.CountryOfProcessing,
        description: 'Country of processing',
        length: 3,
        variableLength: false,
    },
    {
        code: enums_1.AICode.CountryOfDisassembly,
        description: 'Country of disassembly',
        length: 3,
        variableLength: false,
    },
    {
        code: enums_1.AICode.CountryOfFullProcessChain,
        description: 'Country of full process chain',
        length: 3,
        variableLength: false,
    },
    {
        code: enums_1.AICode.NATOStockNumberNSN,
        description: 'NATO Stock Number NSN',
        length: 13,
        variableLength: false,
    },
    {
        code: enums_1.AICode.UNECEMeatCarcassesAndCutsClassification,
        description: 'UN/ECE Meat Carcasses and cuts classification',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.ExpirationDateAndTime,
        description: 'expiration date and time',
        length: 10,
        variableLength: false,
    },
    {
        code: enums_1.AICode.ActivePotency,
        description: 'Active Potency',
        length: 4,
        variableLength: true,
    },
    {
        code: enums_1.AICode.FirstFreezeDate,
        description: 'First Freeze Date',
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.HarvestDate,
        description: 'Harvest Date',
        length: 12,
        variableLength: true,
    },
    {
        code: enums_1.AICode.Processorapproval,
        description: 'Processor approval',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.RollProductsWidthLengthCoreDiameterDirectionSplices,
        description: 'Roll Products: Width/Length/CoreDiameter/Direction/Splices',
        length: 14,
        variableLength: false,
    },
    {
        code: enums_1.AICode.MobilePhoneIdentifier,
        description: 'Mobile phone identifier',
        length: 20,
        variableLength: true,
    },
    {
        code: enums_1.AICode.GlobalReturnableAssetIdentifier,
        description: 'Global ReturnableAssetIdentifier',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.GlobalIndividualAssetIdentifier,
        description: 'Global IndividualAssetIdentifier',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.PriceperUnitofMeasure,
        description: 'Price perUnitofMeasure',
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.IdentificationOfTheComponentsOfAnItem,
        description: 'identification of the components of an item',
        length: 18,
        variableLength: false,
    },
    {
        code: enums_1.AICode.InternationalBankAccountNumber,
        description: 'International Bank Account Number',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.DatetimeOfProduction,
        description: 'Date/time of production',
        length: 12,
        variableLength: true,
    },
    {
        code: enums_1.AICode.GlobalServiceRelationshipNumber,
        description: 'Global ServiceRelationshipNumber',
        length: 18,
        variableLength: false,
    },
    {
        code: enums_1.AICode.PaymentSlipPreferenceNumber,
        description: 'Payment slip preference number',
        length: 25,
        variableLength: true,
    },
    {
        code: enums_1.AICode.CouponExtendedCodeNumberSystemandOffer,
        description: 'CouponExtendedCode: Number System and Offer',
        length: 6,
        variableLength: false,
    },
    {
        code: enums_1.AICode.CouponExtendedCodeNumberSystemOfferEndofOffer,
        description: 'CouponExtendedCode: Number System,Offer,End of Offer',
        length: 10,
        variableLength: false,
    },
    {
        code: enums_1.AICode.CouponExtendedCodeNumberSystemPrecededBy0,
        description: 'CouponExtendedCode: Number System preceded by 0',
        length: 2,
        variableLength: false,
    },
    {
        code: enums_1.AICode.CouponcodeIDNorthAmerica,
        description: 'CouponcodeID NorthAmerica',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.ExtendedPackagingURL,
        description: 'Extended Packaging URL',
        length: 70,
        variableLength: true,
    },
    {
        code: enums_1.AICode.MutuallyAgreedBetweenTradingPartners,
        description: 'Mutually Agreed Between Trading Partners',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.InternalCompanyCodes91,
        description: 'Internal Company Codes',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.InternalCompanyCodes92,
        description: 'Internal Company Codes',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.InternalCompanyCodes93,
        description: 'Internal Company Codes',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.InternalCompanyCodes94,
        description: 'Internal Company Codes',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.InternalCompanyCodes95,
        description: 'Internal Company Codes',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.InternalCompanyCodes96,
        description: 'Internal Company Codes',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.InternalCompanyCodes97,
        description: 'Internal Company Codes',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.InternalCompanyCodes98,
        description: 'Internal Company Codes',
        length: 30,
        variableLength: true,
    },
    {
        code: enums_1.AICode.InternalCompanyCodes99,
        description: 'Internal Company Codes',
        length: 30,
        variableLength: true,
    },
];
exports.APPLICATION_IDENTIFIERS = data.map(function (x) { return new application_identifier_1.ApplicationIdentifier(x.code, x.description, x.length, x.variableLength, x.fractional); });
//# sourceMappingURL=application-identifiers.js.map