"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Code39Reader = void 0;
var base_reader_1 = require("./base.reader");
var models_1 = require("../models");
var enums_1 = require("../enums");
var utils_1 = require("../utils");
var REG = /^[A-Z0-9* \-$%.+\/]{1,43}$/;
var Code39Reader = /** @class */ (function (_super) {
    __extends(Code39Reader, _super);
    function Code39Reader(readerConfig) {
        return _super.call(this, enums_1.Symbologies.Code39, REG, readerConfig) || this;
    }
    Code39Reader.prototype.validate = function (value) {
        var aimPrefix = value.indexOf(enums_1.AimCodes.CODE39);
        return (aimPrefix === 0 &&
            _super.prototype.validate.call(this, utils_1.AimParser.parseAimCode(this.symbology, value)));
    };
    Code39Reader.prototype.decode = function (value) {
        var _a, _b;
        var result = new models_1.BarcodeValue(this.symbology, value);
        try {
            this.tryValidate(value);
            var parsedVal_1 = utils_1.AimParser.parseAimCode(this.symbology, value);
            if (!((_b = (_a = this.configuration) === null || _a === void 0 ? void 0 : _a.values) === null || _b === void 0 ? void 0 : _b.length)) {
                result.values = parsedVal_1;
            }
            else {
                result.values = this.configuration.values.map(function (ed) { return ({
                    code: ed.valueType,
                    value: parsedVal_1.substr(ed.start, ed.length),
                }); });
            }
        }
        catch (ex) {
            result.success = false;
            result.errorMessage = ex;
        }
        return result;
    };
    return Code39Reader;
}(base_reader_1.BaseReader));
exports.Code39Reader = Code39Reader;
//# sourceMappingURL=code-39.reader.js.map